Bug 1617953 (OpenMolcas) - Review Request: OpenMolcas - A multiconfigurational quantum chemistry software package
Summary: Review Request: OpenMolcas - A multiconfigurational quantum chemistry softwar...
Status: CLOSED ERRATA
Alias: OpenMolcas
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-16 09:07 UTC by Susi Lehtola
Modified: 2019-01-18 03:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-06 03:09:23 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)
patch for EPEL support (1.25 KB, patch)
2018-09-03 15:36 UTC, Dave Love
no flags Details | Diff

Description Susi Lehtola 2018-08-16 09:07:14 UTC
Spec URL: https://jussilehtola.fedorapeople.org/OpenMolcas.spec
SRPM URL: https://jussilehtola.fedorapeople.org/OpenMolcas-18.0-1.o180813.1752.fc28.src.rpm

Description:
OpenMolcas is a quantum chemistry software package developed by
scientists and intended to be used by scientists. It includes programs
to apply many different electronic structure methods to chemical
systems, but its key feature is the multiconfigurational approach,
with methods like CASSCF and CASPT2.

OpenMolcas is not a fork or reimplementation of Molcas, it is a large
part of the Molcas codebase that has been released as free and
open-source software (FOSS) under the Lesser GNU Public License
(LGPL). Some parts of Molcas remain under a different license by
decision of their authors (or impossibility to reach them), and are
therefore not included in OpenMolcas.

Fedora Account System Username: jussilehtola

Comment 1 Robert-André Mauchin 2018-08-16 12:42:04 UTC
 - make %{?_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %_make_install

 - License is LGPLv2+ not v3 https://gitlab.com/Molcas/OpenMolcas/blob/master/LICENSE

 - Your %changelog entry has the wrong Version-Release: 

* Thu Aug 16 2018 Susi Lehtola <jussilehtola@fedoraproject.org> - 17.0-1.8b838a18




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "CC0 (v1) LGPL (v2.1)", "MIT/X11 (BSD
     like) LGPL (v2.1)", "*No copyright* CC by-sa (v3.0) LGPL (v2.1)", "*No
     copyright* LGPL (v2.1)", "LGPL (v2.1)", "*No copyright* CC0 LGPL
     (v2.1)", "CC0 LGPL (v2.1)". 1065 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/OpenMolcas
     /review-OpenMolcas/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     OpenMolcas-debuginfo , OpenMolcas-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: OpenMolcas-18.0-1.o180813.1752.fc29.x86_64.rpm
          OpenMolcas-debuginfo-18.0-1.o180813.1752.fc29.x86_64.rpm
          OpenMolcas-debugsource-18.0-1.o180813.1752.fc29.x86_64.rpm
          OpenMolcas-18.0-1.o180813.1752.fc29.src.rpm
OpenMolcas.x86_64: W: spelling-error Summary(en_US) multiconfigurational -> reconfiguration
OpenMolcas.x86_64: W: spelling-error %description -l en_US multiconfigurational -> reconfiguration
OpenMolcas.x86_64: W: spelling-error %description -l en_US reimplementation -> re implementation, re-implementation, implementation
OpenMolcas.x86_64: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
OpenMolcas.x86_64: W: incoherent-version-in-changelog 17.0-1.8b838a18 ['18.0-1.o180813.1752.fc29', '18.0-1.o180813.1752']
OpenMolcas.x86_64: E: invalid-soname /usr/lib64/OpenMolcas/lib/libmolcas.so libmolcas.so
OpenMolcas.x86_64: W: non-conffile-in-etc /etc/profile.d/OpenMolcas.csh
OpenMolcas.x86_64: W: non-conffile-in-etc /etc/profile.d/OpenMolcas.sh
OpenMolcas.x86_64: W: hidden-file-or-dir /usr/lib64/OpenMolcas/.molcashome
OpenMolcas.x86_64: E: zero-length /usr/lib64/OpenMolcas/.molcashome
OpenMolcas.x86_64: W: hidden-file-or-dir /usr/lib64/OpenMolcas/.molcasversion
OpenMolcas.src: W: spelling-error Summary(en_US) multiconfigurational -> reconfiguration
OpenMolcas.src: W: spelling-error %description -l en_US multiconfigurational -> reconfiguration
OpenMolcas.src: W: spelling-error %description -l en_US reimplementation -> re implementation, re-implementation, implementation
OpenMolcas.src: W: spelling-error %description -l en_US codebase -> co debase, co-debase, code base
4 packages and 0 specfiles checked; 2 errors, 13 warnings.

Comment 2 Dave Love 2018-08-23 14:54:56 UTC
I don't know if this is meant to be marked as taken for review -- it isn't currently.  If not, I can do it as I was considering packaging it myself, but probably not for a week or so.  Let me know.

Comment 3 Susi Lehtola 2018-08-24 16:57:07 UTC
(In reply to Robert-André Mauchin from comment #1)
>  - make %{?_smp_mflags} → %make_build
> 
>  - make install DESTDIR=%{buildroot} → %_make_install
> 
>  - License is LGPLv2+ not v3
> https://gitlab.com/Molcas/OpenMolcas/blob/master/LICENSE
> 
>  - Your %changelog entry has the wrong Version-Release: 
> 
> * Thu Aug 16 2018 Susi Lehtola <jussilehtola@fedoraproject.org> -
> 17.0-1.8b838a18

Thanks for the catches. The license is actually LGPLv2 (version 2.1 only), as is clear from license boilerplates (e.g. by running 'licensecheck'). If a license was not explicitly specified in the sources, but rather only the LGPL2 COPYING, distributed here as LICENSE, was included, then the license would be considered as LGPLv2+. (In case of the GPL the license tag would be GPL+). See https://fedoraproject.org/wiki/Licensing:Main

https://jussilehtola.fedorapeople.org/OpenMolcas.spec
https://jussilehtola.fedorapeople.org/OpenMolcas-18.0-2.o180813.1752.fc28.src.rpm

Comment 4 Susi Lehtola 2018-08-24 17:13:46 UTC
(In reply to Dave Love from comment #2)
> I don't know if this is meant to be marked as taken for review -- it isn't
> currently.  If not, I can do it as I was considering packaging it myself,
> but probably not for a week or so.  Let me know.

I think it was. Anyway, I'd welcome comaintainers.

Comment 5 Robert-André Mauchin 2018-08-24 17:56:44 UTC
Package is approved.

Comment 6 Gwyn Ciesla 2018-08-24 19:16:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/OpenMolcas

Comment 7 Fedora Update System 2018-08-25 14:25:51 UTC
OpenMolcas-18.0-3.o180813.1752.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bdea159989

Comment 8 Fedora Update System 2018-08-25 22:37:42 UTC
OpenMolcas-18.0-3.o180813.1752.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bdea159989

Comment 9 Dave Love 2018-09-03 15:36 UTC
Created attachment 1480580 [details]
patch for EPEL support

[BZ won't let me open a new issue against the package.]

Could you build for EPEL?  The attached patch makes some minor changes for that.

Also, it might be worth mentioning in the spec why the MPI version isn't supported -- I assume because of requirements for the GA support, which could perhaps be fixed in ga packaging.

Comment 10 Susi Lehtola 2018-09-04 07:20:34 UTC
(In reply to Dave Love from comment #9)
> Created attachment 1480580 [details]
> patch for EPEL support
> 
> [BZ won't let me open a new issue against the package.]
> 
> Could you build for EPEL?  The attached patch makes some minor changes for
> that.

Cheers. I assume you mean just epel7.
[comaintainers welcome]

> Also, it might be worth mentioning in the spec why the MPI version isn't
> supported -- I assume because of requirements for the GA support, which
> could perhaps be fixed in ga packaging.

Because it looks like it's going to be non-trivial packaging. Getting the base version done was already a bit of a hassle. The MPI versions can be added later on, same for DMRG support via CheMPS2.

Comment 11 Fedora Update System 2018-09-04 10:53:20 UTC
OpenMolcas-18.0-4.o180813.1752.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e7e75a418f

Comment 12 Fedora Update System 2018-09-06 03:09:23 UTC
OpenMolcas-18.0-3.o180813.1752.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-09-06 03:42:55 UTC
OpenMolcas-18.0-4.o180813.1752.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e7e75a418f

Comment 14 Fedora Update System 2018-09-13 10:16:19 UTC
OpenMolcas-18.0-5.o180813.1752.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-daa6241f83

Comment 15 Fedora Update System 2018-09-13 17:48:41 UTC
OpenMolcas-18.0-5.o180813.1752.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-daa6241f83

Comment 16 Fedora Update System 2018-09-18 14:50:26 UTC
OpenMolcas-18.0-6.o180813.1752.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7dce5eec99

Comment 17 Fedora Update System 2018-09-20 11:21:40 UTC
OpenMolcas-18.0-6.o180813.1752.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7dce5eec99

Comment 18 Fedora Update System 2019-01-02 14:26:37 UTC
OpenMolcas-18.09-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a71be7623b

Comment 19 Fedora Update System 2019-01-03 00:16:22 UTC
OpenMolcas-18.09-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-a71be7623b

Comment 20 Fedora Update System 2019-01-18 03:07:58 UTC
OpenMolcas-18.09-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.